Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.event
Class MouseEditEvent

    java.lang.Object
      java.util.EventObject
          de.grogra.pf.ui.event.EditEvent
              de.grogra.pf.ui.event.InputEditEvent
                  de.grogra.pf.ui.event.MouseEditEvent

All Implemented Interfaces:
  Context, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ClickEvent, DragEvent

    public class MouseEditEvent

extends InputEditEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MouseEditEvent()`

Method Summary
`int` | `getClickCount()`
`int` | `getEventType()`
`int` | `getModifiers()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isAltDown()`
`boolean` | `isControlDown()`
`boolean` | `isMetaDown()`
`boolean` | `isShiftDown()`
`protected java.lang.String` | `paramString()`
`MouseEditEvent` | `set(java.awt.event.MouseEvent event)`
`MouseEditEvent` | `set(java.lang.Object component, int eventType, int modifiers, int x, int y, int clickCount)`

Methods inherited from class de.grogra.pf.ui.event.InputEditEvent
`consume, isConsumed`

Methods inherited from class de.grogra.pf.ui.event.EditEvent
`clone, getComponent, getPanel, getWindow, getWorkbench, set, set, set, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MouseEditEvent

    public MouseEditEvent()

Method Detail

### getClickCount

    public final int getClickCount()

### getEventType

    public int getEventType()

### getModifiers

    public final int getModifiers()

### getX

    public final int getX()

### getY

    public final int getY()

### isAltDown

    public final boolean isAltDown()

### isControlDown

    public final boolean isControlDown()

### isMetaDown

    public final boolean isMetaDown()

### isShiftDown

    public final boolean isShiftDown()

### paramString

    protected java.lang.String paramString()

  Overrides:
    `paramString` in class `EditEvent`

### set

    public final MouseEditEvent set(java.awt.event.MouseEvent event)

### set

    public final MouseEditEvent set(java.lang.Object component,
                                    int eventType,
                                    int modifiers,
                                    int x,
                                    int y,
                                    int clickCount)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD